Package com.google.android.exoplayer2.testutil

## Interface Dumper.Dumpable

- All Known Implementing Classes:
    `CapturingAudioSink`, `CapturingRenderersFactory`, `DumpableFormat`, `FakeExtractorOutput`, `FakeTrackOutput`, `PlaybackOutput`
  Enclosing class:
    Dumper

      public static interface Dumper.Dumpable

  Provides custom dump method.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(Dumper dumper)` | Dumps the fields of the object using the `dumper`.

- - ### Method Detail

    - #### dump

          void dump​(Dumper dumper)

      Dumps the fields of the object using the `dumper`.
      Parameters:
        `dumper` - The `Dumper` to be used to dump fields.